Subject: bug#43527: [PATCH] grep: avoid unneeded compilation of regex

From: Paul Eggert <[email-masked]>
Date: Wed, 23 Sep 2020 20:16:47 -0700

On 9/23/20 8:00 PM, Jim Meyering wrote:

> Thank you, I expect to push it shortly, along with a gnulib-sync diff,
> to pull in Paul's regex fixes.

Ouch, it looks like we had dueling commits prepared, as I read your email just 
after pushing a more-extensive patch.

I looked at Norihiro's recent "grep: fix a bug in the previous commit" patch 
<https://bugs.gnu.org/43527#28>. Although the test case added by that patch 
exposed a bug in Savannah grep before I installed the "grep: fix more 
Turkish-eyes bugs" patch just now, that test case works with current grep master 
on Savannah (commit 8577dda638ebfee2b77342a4d07252745ec42a3a). This isn't 
surprising, as the "grep: fix more Turkish-eyes bugs" patch tests the same thing 
plus some more stuff.

It'd be good to have a different test case to demonstrate why the "grep: fix a 
bug in the previous commit" patch is needed to kwsearch.c. I'll take a look at that.